### Class

# EDataBook DataBookFactory

#### Description

    class EDataBook.DataBookFactory : EBackend.DataFactory
      implements EDataServer.Extensible, Gio.Initable {
      EDataBookFactoryPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- EDataFactory
- EDBusServer
- GObject

#### Implements

- EExtensible
- GInitable

#### Constructors

###### e_data_book_factory_new

No description available.

#### Instance methods

##### Methods inherited from EDataFactory (12)

###### e_data_factory_backend_closed

No description available.

###### e_data_factory_backend_closed_by_sender

No description available.

###### e_data_factory_construct_path

Returns a new and unique object path for a D-Bus interface based in the data object path prefix of the `data_factory`.

###### e_data_factory_create_backend

Used only when backend-per-process is off.

###### e_data_factory_get_backend_per_process

No description available.

###### e_data_factory_get_registry

Returns the `ESourceRegistry` owned by `data_factory`.

###### e_data_factory_get_reload_supported

No description available.

###### e_data_factory_list_opened_backends

Lists the currently opened backends.

###### e_data_factory_open_backend

No description available.

###### e_data_factory_ref_backend_factory

Returns the `EBackendFactory` for “`backend_name`:`extension_name`”, or `NULL` if no such factory is registered.

###### e_data_factory_spawn_subprocess_backend

Spawns a new subprocess for a backend type and returns the object path of the new subprocess to the client, in the way the client can talk directly to the running backend. If the backend already has a subprocess running, the used object path is returned to the client.

###### e_data_factory_use_backend_per_process

No description available.

##### Methods inherited from EDBusServer (5)

###### e_dbus_server_hold

Increases the use count of `server`.

###### e_dbus_server_load_modules

This function should be called once during `server` initialization to load all available library modules to extend the `server`‘s functionality.

###### e_dbus_server_quit

Emits the `EDBusServer::quit` signal with the given `code`.

###### e_dbus_server_release

Decreates the use count of `server`.

###### e_dbus_server_run

Emits the `EDBusServer::run` signal.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from EExtensible (3)

###### e_extensible_list_extensions

Returns a list of `EExtension` objects bound to `extensible` whose types are ancestors of `extension_type`. For a complete list of extension objects bound to `extensible`, pass `E_TYPE_EXTENSION`.

###### e_extensible_load_extensions

Creates an instance of all instantiable subtypes of `EExtension` which target the class of `extensible`. The lifetimes of these newly created `EExtension` objects are bound to `extensible` such that they are finalized when `extensible` is finalized.

###### e_extensible_reload_extensions

Similar to e_extensible_load_extensions(), only loads newly discovered extensions again. This can help in case a new module had been loaded to the process, which provides the extensions for the `extensible`.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

#### Properties

##### Properties inherited from EDataFactory (3)

###### EBackend.DataFactory:backend-per-process

Override backend-per-process compile-time option.

###### EBackend.DataFactory:registry

Data source registry.

###### EBackend.DataFactory:reload-supported

Whether the data factory supports Reload.

#### Signals

##### Signals inherited from EDBusServer (5)

###### EDBusServer::bus-acquired

Emitted when `server` acquires a connection to the session bus.

###### EDBusServer::bus-name-acquired

Emitted when `server` acquires its well-known session bus name.

###### EDBusServer::bus-name-lost

Emitted when `server` loses its well-known session bus name or the session bus connection has been closed.

###### EDBusServer::quit-server

Emitted to request that `server` quit its main loop.

###### EDBusServer::run-server

Emitted to request that `server` start its main loop and attempt to acquire its well-known session bus name.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataBookDataBookFactoryClass {
      EDataFactoryClass parent_class;

    }

No description available.

###### Class members

`parent_class: EDataFactoryClass`

  No description available.